Package org.apache.ignite.spi.communication.tcp

## Class AttributeNames

- java.lang.Object
- - org.apache.ignite.spi.communication.tcp.AttributeNames

-     @Deprecated
      public class AttributeNames
      extends Object

  Deprecated.
  fix it in the ticket https://ggsystems.atlassian.net/browse/GG-29546
  This class was created for the refactoring approach. It contains attribute names into a `ClusterNode`. It should be remove after global refactoring. The values of these attributes should pass via constructors of appropriate classes.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AttributeNames​(String pairedConn, String addrs, String hostNames, String extAttrs, String port, String forceClientServerConnections)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `addresses()` | Deprecated.
    `String` | `externalizableAttributes()` | Deprecated.
    `String` | `getForceClientServerConnections()` | Deprecated.
    `String` | `hostNames()` | Deprecated.
    `String` | `pairedConnection()` | Deprecated.
    `String` | `port()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeNames

          public AttributeNames​(String pairedConn,
                                String addrs,
                                String hostNames,
                                String extAttrs,
                                String port,
                                String forceClientServerConnections)

      Deprecated.
      Parameters:
        `pairedConn` - Paired connection.
        `addrs` - Addresses.
        `hostNames` - Host names.
        `extAttrs` - Externalizable attributes.
        `port` - Port.
        `forceClientServerConnections` - Force client server connections.

  - ### Method Detail

    - #### pairedConnection

          public String pairedConnection()

      Deprecated.
      Returns:
        Paired connection.

    - #### externalizableAttributes

          public String externalizableAttributes()

      Deprecated.
      Returns:
        Externalizable attributes.

    - #### hostNames

          public String hostNames()

      Deprecated.
      Returns:
        Host names.

    - #### addresses

          public String addresses()

      Deprecated.
      Returns:
        Addresses.

    - #### port

          public String port()

      Deprecated.
      Returns:
        Port.

    - #### getForceClientServerConnections

          public String getForceClientServerConnections()

      Deprecated.
      Returns:
        Force client server connections.